Bug 1729379 - Choice in Drop Down that References Category (Tag Control Item) is Incorrect
Summary: Choice in Drop Down that References Category (Tag Control Item) is Incorrect
Keywords:
Status: POST
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.10.5
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: GA
: 5.12.0
Assignee: Roman Blanco
QA Contact: Niyaz Akhtar Ansari
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks: 1749061 1767836
TreeView+ depends on / blocked
 
Reported: 2019-07-12 07:00 UTC by Beate Guldenschuh-Bihannic
Modified: 2020-02-09 03:18 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1749061 1767836 (view as bug list)
Environment:
Last Closed:
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
Choice - I choose German (27.31 KB, image/png)
2019-07-12 07:00 UTC, Beate Guldenschuh-Bihannic
no flags Details
The choice, that finally is being selected instead of Germany I get Shared (11.95 KB, image/png)
2019-07-12 07:02 UTC, Beate Guldenschuh-Bihannic
no flags Details
an export of the Form that shows the problem (2.09 KB, text/plain)
2019-07-12 07:03 UTC, Beate Guldenschuh-Bihannic
no flags Details

Description Beate Guldenschuh-Bihannic 2019-07-12 07:00:41 UTC
Created attachment 1589778 [details]
Choice - I choose German

Description of problem:
The Choice in a Service Dialog field that uses a Tag Control Item is incorrect. It always taking the value one after the tag value that has been chosen.

Eg. Tags and values
A
B
C

if A is choosen in the pull down, then B is the value that is selected. 

Version-Release number of selected component (if applicable):
5.10.5

How reproducible:
always

Steps to Reproduce:
1. Create a tag category with some values
2. Create a new Service Dialog with a field of the type "Tag Control Item"
3. Create a Service Catalog Item using that Service Dialog
4. Choose a value from the drop down. You will see, that it chooses the following item in the list instead of the one that actually was choosen.

Actual results:


Expected results:


Additional info:

Comment 2 Beate Guldenschuh-Bihannic 2019-07-12 07:02:27 UTC
Created attachment 1589779 [details]
The choice, that finally is being selected instead of Germany I get Shared

Comment 3 Beate Guldenschuh-Bihannic 2019-07-12 07:03:05 UTC
Created attachment 1589780 [details]
an export of the Form that shows the problem

Comment 4 Tina Fitzgerald 2019-07-12 13:09:51 UTC
Hi Billy,

Can you investigate this issue?

Thanks,
Tina

Comment 5 Josh Carter 2019-07-15 14:02:59 UTC
Felix, 

Can you help reproduce this for engineering as they were unable to reproduce?

Comment 7 Felix Dewaleyne 2019-08-02 14:00:12 UTC
i was able to reproduce this on python.usersys.redhat.com

the process is as follow :

1- import the dialog attached to this bz (https://bugzilla.redhat.com/attachment.cgi?id=1589780)
2- create a service item with that dialog (generic, in my test the service is dummy/tag_reprod
3- make a selection in the dialog but don't click save
4 - make another selection
5- repeat and continue making other selections. you'll notice that what you have clicked and what is displayed as being selected once the droplist is closed the selection is incorrect.

Comment 8 William Fitzgerald 2019-08-02 16:54:59 UTC
Verified its not working properly on Felix's reproducer.

If you select a value once, it works.  It's when you select more than once it becomes a problem.

It's also not working on version 5.10.8.0.20190729222758_e725e22

reproducer: 10.8.99.161

Comment 9 William Fitzgerald 2019-08-02 19:36:19 UTC
This worked in 5.9.9.1 -> 10.8.99.210

Not Working in 5.11.0.16 -> 10.8.99.75

Comment 12 Roman Blanco 2019-09-02 10:13:12 UTC
https://github.com/ManageIQ/ui-components/pull/412

Comment 13 CFME Bot 2019-09-04 15:47:09 UTC
New commit detected on ManageIQ/ui-components/master:

https://github.com/ManageIQ/ui-components/commit/290ce1eab820c300d2627f8a469da3c96bb54321
commit 290ce1eab820c300d2627f8a469da3c96bb54321
Author:     Roman Blanco <rblanco@redhat.com>
AuthorDate: Mon Sep  2 06:05:58 2019 -0400
Commit:     Roman Blanco <rblanco@redhat.com>
CommitDate: Mon Sep  2 06:05:58 2019 -0400

    Correct dropdown choices for tag control in Dialog User

    Fixes: https://bugzilla.redhat.com/show_bug.cgi?id=1729379

    setting the default_value on '<None>' in case no default_value has been set to avoid getting an empty field that breaks the dropdown functionality

 src/dialog-user/components/dialog-user/dialogField.ts | 7 +
 1 file changed, 7 insertions(+)

Comment 14 CFME Bot 2019-09-04 19:02:22 UTC
New commit detected on ManageIQ/ui-components/master:

https://github.com/ManageIQ/ui-components/commit/403703b65ff20b3225ba5e35ab06f747718cbfc6
commit 403703b65ff20b3225ba5e35ab06f747718cbfc6
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Wed Sep  4 12:08:06 2019 -0400
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Wed Sep  4 12:08:06 2019 -0400

    dialog-user: Move tagging fix from #412 to setDefaultValue

    The dialogField component should not be changing default_value,
    the dialogData service is the place where default_value gets set.

    https://bugzilla.redhat.com/show_bug.cgi?id=1729379

 src/dialog-user/components/dialog-user/dialogField.ts | 7 -
 src/dialog-user/services/dialogData.ts | 5 +
 2 files changed, 5 insertions(+), 7 deletions(-)

Comment 16 CFME Bot 2019-10-23 19:47:13 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/66ed24916a2998dd0207f3ec1566d157a7d29266
commit 66ed24916a2998dd0207f3ec1566d157a7d29266
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Wed Oct 23 11:18:40 2019 -0400
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Wed Oct 23 11:18:40 2019 -0400

    Update ui-components to 1.3.2

    v1.3.2
        ManageIQ/ui-components#373
        ManageIQ/ui-components#412
        ManageIQ/ui-components#414
        ManageIQ/ui-components#415
        ManageIQ/ui-components#417
        ManageIQ/ui-components#418
        ManageIQ/ui-components#421
        ManageIQ/ui-components#423

        https://bugzilla.redhat.com/show_bug.cgi?id=1686077
        https://bugzilla.redhat.com/show_bug.cgi?id=1729379

 package.json | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 17 CFME Bot 2019-10-24 09:41:06 UTC
New commit detected on ManageIQ/manageiq-ui-service/master:

https://github.com/ManageIQ/manageiq-ui-self_service/commit/46fa3784c69862516e855f5ee6e0acbdd95cc5f8
commit 46fa3784c69862516e855f5ee6e0acbdd95cc5f8
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Wed Oct 23 11:18:47 2019 -0400
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Wed Oct 23 11:18:47 2019 -0400

    Update ui-components to 1.3.2

    v1.3.2
        ManageIQ/ui-components#373
        ManageIQ/ui-components#412
        ManageIQ/ui-components#414
        ManageIQ/ui-components#415
        ManageIQ/ui-components#417
        ManageIQ/ui-components#418
        ManageIQ/ui-components#421
        ManageIQ/ui-components#423

        https://bugzilla.redhat.com/show_bug.cgi?id=1686077
        https://bugzilla.redhat.com/show_bug.cgi?id=1729379

 package.json | 2 +-
 yarn.lock | 8 +-
 2 files changed, 5 insertions(+), 5 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.